#pragma once

#include <vector>
#include <map>

class Params : public std::map<std::string, std::string> {
public:
  static const std::string& mac_src;
  static const std::string& mac_dst;
  static const std::string& ssp;
  static const std::string& its_aid;
  static const std::string& gn_payload;
  static const std::string& btp_type;
  static const std::string& btp_payload;
  static const std::vector<unsigned char>& mac_address;
  
  Params() : std::map<std::string, std::string>() {};
  Params(const Params& p_params) : std::map<std::string, std::string>(p_params.begin(), p_params.end()) {};
  
  virtual ~Params() {};
  void log();
  static void convert(Params& p_param, const std::string p_parameters);
};

